DROP INDEX()

NAME
DROP INDEX - remove an index

SYNOPSIS

DROP INDEX name [, ...] [ CASCADE | RESTRICT ]

DESCRIPTION

DROP INDEX drops an existing index from the database system. To execute this command you must be the owner of the index.

PARAMETERS

name
    The name (optionally schema-qualified) of an index to remove.

CASCADE
    Automatically drop objects that depend on the index.

RESTRICT
    Refuse to drop the index if any objects depend on it. This is the default.

EXAMPLES

This command will remove the index title_idx:

DROP INDEX title_idx;

COMPATIBILITY

DROP INDEX is a PostgreSQL language extension. There are no provisions for indexes in the SQL standard.

SEE ALSO
CREATE INDEX [create_index(7)]